/* $Id: pflow.h,v 1.3 2001/12/01 21:53:15 aa5779 Exp $ */
#ifndef PFLOW_H
#define PFLOW_H

#include "flow.h"

#ifndef PFLOW_IMP
extern flow_class pipe_flow_class;
#endif

flow_handle_t pf_open(char *name, char *opts, int writeable);
void pf_close(flow_handle_t fh);
int pf_getc(flow_handle_t fh);
int pf_ungetc(flow_handle_t fh, int ch);
int pf_putc(flow_handle_t fh, int ch);
int pf_puts(flow_handle_t fh, char *str);
flow_pos_t pf_getpos(flow_handle_t fh);
int pf_setpos(flow_handle_t fh, flow_pos_t fp);
int pf_rewind(flow_handle_t fh);
char *pf_flowctl(flow_handle_t fh, char *ctl);

#endif
